
/* #instagram-warning{
  display:none;   
} */

.bn-ig-overlay{
  position:fixed;
  inset:0;
  /* background:#fff; */
  background: #f8f9fa;
  z-index:99999;
  font-family:Roboto, sans-serif;
  display:flex;
  justify-content:center;
  /* align-items:center; */
  align-items:flex-start;   /* ⭐ start from top */

  
  overflow-y: scroll;



}

/* .bn-ig-overlay{
  position:fixed;
  inset:0;
  z-index:9999;
  display:flex;
  align-items:center;
  justify-content:center;
  font-family:Roboto, sans-serif;
  overflow-y:auto;
  color: white !important;
  
} */

/* ⭐ blurred background layer */
/* .bn-ig-overlay::before{
  content:"";
  position:fixed;
  inset:0;
  background:url('./AppScreenshot/explore.jpg') center/cover no-repeat;
  filter:blur(18px) brightness(0.9);
  transform:scale(1.08);  
  z-index:-1;
} */

/* .bn-ig-overlay::after{
  content:"";
  position:fixed;
  inset:0;
  background:rgba(255,255,255,0.85);
  z-index:-1;
} */


.bn-ig-card{
  /* max-width:420px;
  padding:2rem;
  text-align:center; */

      width: 100%;
    padding: 2rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /* height: 100%; */
    padding-bottom: 110px;

}

.bn-title{
font-size: 22px;
    margin-bottom: 1rem;
    font-weight: 800;
    line-height: 26px;
}

/* 🔥 blurred explore preview */
/* .bn-preview{
  height:140px;
  border-radius:12px;
  margin:1rem 0;
  background:url('./AppScreenshot/explore.jpg') center/cover no-repeat;
  filter:blur(6px) brightness(0.9);
  opacity:0.7;
} */

.bn-preview{
  width:100%;
  max-width:320px;   /* mobile device width */
  margin: 0rem auto 1rem auto;
  /* height: 400px; */
  overflow: hidden;
  border-radius: 20px;
  border: 4px solid black;
}

.bn-preview img{
    width: 100%;
    max-width: 320px;
    margin: 0px auto;
    overflow: hidden;
    height: 95% !important;
    object-fit: contain;
    position: relative;
        filter: blur(1px);
    /* top: -2px !important; */
    
}



.bn-benefits{
  font-size:15px;
  color:#555;

  margin-bottom:1rem;
}



.bn-secondary{
        /* width: 80%; */
    /* background: red; */
    padding: 9px;
    display: flex;
    justify-content: center;
    gap: 30px;

}
.bn-secondary a{
  margin: 0 8px;
  text-decoration:none;
  color:#4285F4;
  font-weight:500;
  background: #fefefe;
    padding: 10px 25px;
    border-radius: 50px;
}
.bn_primary_button_container{
width: 100%;
position: fixed;
        bottom: 0;
        right: 0;
        left: 0;
        padding: 10px;
        /* background: red; */
        background: white;
        border-radius: 10px 10px 0px 0px;
        display: flex;
        align-items: center;
        justify-content: center;

}

.bn-primary-btn{
  display:block;
  background:#000;
  color:#fff !important;
  padding:14px;
  border-radius:10px;
  text-decoration:none;
  font-weight:600;
  margin-bottom:0.5rem;
  margin-top: 1rem;
  width: 40%;
}


.bn-note{
  font-size:13px;
  color:#888;
  margin-top: 1rem;
  font-weight: 500;
}

.top_bn_benefit{
      line-height: 25px;

}

@media screen and (max-width: 480px) {
    .bn-ig-overlay .bn-title{
        font-size: 20px;

    }
    .bn-benefits{
        font-size: 14px;
    }
    .top_bn_benefit{
      width: 80%;
    }
    
    .bn-primary-btn{
        width: 100%;
    }

    .bn_primary_button_container{
        width: 100%;
    }
}